GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions
stack_lockfree.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct gpr_stack_lockfree | gpr_stack_lockfree

## Functions
gpr_stack_lockfree * | gpr_stack_lockfree_create (int entries)
void | gpr_stack_lockfree_destroy (gpr_stack_lockfree *stack)
int | gpr_stack_lockfree_push (gpr_stack_lockfree *, int entry)
int | gpr_stack_lockfree_pop (gpr_stack_lockfree *stack)

## Typedef Documentation

typedef struct gpr_stack_lockfree gpr_stack_lockfree

## Function Documentation

gpr_stack_lockfree* gpr_stack_lockfree_create | ( | int | entries | ) |

void gpr_stack_lockfree_destroy | ( | gpr_stack_lockfree * | stack | ) |

int gpr_stack_lockfree_pop | ( | gpr_stack_lockfree * | stack | ) |

int gpr_stack_lockfree_push | ( | gpr_stack_lockfree * | ,
|  | int | entry
| ) |  |